pcl::_Normal Struct Reference

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::_Normal:

## Public Attributes

| PCL_ADD_NORMAL4D
union {
struct {
float curvature
} |
float data_c [4]
}; |

## Detailed Description

Definition at line 777 of file point_types.hpp.

## Member Data Documentation

## @15

union { ... }

## curvature

float pcl::_Normal::curvature

Definition at line 784 of file point_types.hpp.

Referenced by pcl::MovingLeastSquares< PointInT, PointOutT >::addProjectedPointNormal(), pcl::Supervoxel< PointT >::getCentroidPointNormal(), pcl::SupervoxelClustering< PointT >::VoxelData::getNormal(), and pcl::Normal::Normal().

## data_c

float pcl::_Normal::data_c[4]

Definition at line 786 of file point_types.hpp.

## PCL_ADD_NORMAL4D

pcl::_Normal::PCL_ADD_NORMAL4D

Definition at line 779 of file point_types.hpp.

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp